*.rhp prog works strangely Rhino6

Hi!
has created an import_XML.rhp that works well in Rhino 5
In new Rhino 6, I can not create Mesh from any file anymore
if I choose open file, Viewport is gone
It only works if I choose import

Hi @UtsMicke,

You have not provided enough detail for us to be of any help. Have you traced through your source code to find the problem?

– Dale

Hi!
have created a pdf with what i think is strange hope it helps

My thoughts about Rhino 6.pdf (362.9 KB)

/ Michael

Is this a plug-in that you or a third-party wrote? Or are you trying to open a DWG file with Rhino without using any non-Rhino plug-in?

just RHINO own plug-in

Could you please paste the contents of the window that pops up when you run in Rhino the command _SystemInfo ?

Rhino 6 SR1 2018-2-6 (Rhino 6, 6.1.18037.13441, Git hash:master @ 5a33e6871b94d32ba552468218cef0ad8d3d1263)

Windows 7 SP1 (Physical RAM: 24Gb)

Quadro 2000/PCIe/SSE2 (OpenGL ver:4.4.0)

OpenGL Settings
Safe mode: Off
Use accelerated hardware modes: On
Redraw scene when viewports are exposed: On

Anti-alias mode: 4x
Mip Map Filtering: Linear
Anisotropic Filtering Mode: Height

Vendor Name: NVIDIA Corporation
Render version: 4.4
Shading Language: 4.40 NVIDIA via Cg compiler
Driver Date: 8-4-2014
Driver Version: 9.18.13.4066
Maximum Texture size: 16384 x 16384
Z-Buffer depth: 24 bits
Maximum Viewport size: 16384 x 16384
Total Video Memory: 1 GB

C:\Program Files\Rhino 6\Plug-ins\Commands.rhp “Commands”
C:\Program Files\Rhino 6\Plug-ins\WebBrowser.rhp “WebBrowser”
C:\Program Files\Rhino 6\Plug-ins\rdk.rhp “Renderer Development Kit”
C:\Program Files\Rhino 6\Plug-ins\RhinoScript.rhp “RhinoScript”
C:\Program Files\Rhino 6\Plug-ins\RhinoBonusTools.rhp “Rhino Bonus Tools”
C:\Program Files\Rhino 6\Plug-ins\IdleProcessor.rhp “IdleProcessor”
C:\Program Files\Rhino 6\Plug-ins\RhinoRender.rhp “Rhino Render”
C:\Program Files\Rhino 6\Plug-ins\rdk_etoui.rhp “RDK_EtoUI”
C:\Program Files\Rhino 6\Plug-ins\rdk_ui.rhp “Renderer Development Kit UI”
C:\Program Files\Rhino 6\Plug-ins\Tutorials.rhp “Tutorials”
C:\Program Files\Rhino 6\Plug-ins\import_ACAD.rhp “AutoCAD file import: import_ACAD”
C:\Program Files\Rhino 6\Plug-ins\NamedSnapshots.rhp “Snapshots”
C:\Program Files\Rhino 6\Plug-ins\Alerter.rhp “Alerter”
C:\Program Files\Rhino 6\Plug-ins\RhinoCycles.rhp “RhinoCycles”
C:\Program Files\Rhino 6\Plug-ins\Toolbars\Toolbars.rhp “Toolbars”
C:\Program Files\Rhino 6\Plug-ins\3dxrhino.rhp “3Dconnexion 3D Mouse”
C:\Program Files\Rhino 6\Plug-ins\Displacement.rhp “Displacement”

Could you please update your GPU driver to the most recent? A search on NVidia drivers page yields Quadro Desktop/Quadro Notebook Driver Release 375 | R375 U11 (377.83) | Windows 7 64-bit, Windows 8.1 64-bit, Windows 8 64-bit | NVIDIA

Let us know if that helps with the black viewport issue.

Thanks,

/Nathan

Quadro 2000 340.66 Your PC currently has the latest driver installed for your GPU. No driver update is necessary at this time.

From what you are describing, this doesn’t look like a display bug. It looks like something is going wrong while importing or opening a dwg file. Do you have a sample dwg file that we can test with?

if I import dwg, it’s no problem, the problem is only when I choose open dwg

AKL - VA Rit MS60b.zip (1.3 MB)

and I also have my own plug-in that works if I import but not if I choose open

Hi @UtsMicke,

Thanks, I’ve reported this bug.

https://mcneel.myjetbrains.com/youtrack/issue/RH-44223

– Dale

Thanks. now i can work with dwg

but I have a similar problem
has created a plug-in that creates a new layer and a mesh

When I import the file, the layer and mesh are created

but if I open the file there is nothing

send with vb.net code and test file

code and file.zip (248.6 KB)

/Michael

Hi @UtsMicke,

Your plug-in’s ReadFile member needs to return either True or False.

Protected Overrides Function ReadFile(filename As String, index As Integer, doc As RhinoDoc, options As Rhino.FileIO.FileReadOptions) As Boolean

  Dim rc = False
      
  If (File.Exists(filename)) Then

    Dim layerName = Path.GetFileName(filename)
    Dim layerIndex = doc.Layers.Add(layerName, System.Drawing.Color.Black)
    If layerIndex >= 0 Then
      doc.Layers.SetCurrentLayerIndex(layerIndex, True)
    End If

    Dim mesh As New Rhino.Geometry.Mesh()
    mesh.Vertices.Add(0.0, 0.0, 1.0)
    mesh.Vertices.Add(1.0, 0.0, 1.0)
    mesh.Vertices.Add(2.0, 0.0, 1.0)
    mesh.Vertices.Add(3.0, 0.0, 0.0)
    mesh.Vertices.Add(0.0, 1.0, 1.0)
    mesh.Vertices.Add(1.0, 1.0, 2.0)
    mesh.Vertices.Add(2.0, 1.0, 1.0)
    mesh.Vertices.Add(3.0, 1.0, 0.0)
    mesh.Vertices.Add(0.0, 2.0, 1.0)
    mesh.Vertices.Add(1.0, 2.0, 1.0)
    mesh.Vertices.Add(2.0, 2.0, 1.0)
    mesh.Vertices.Add(3.0, 2.0, 1.0)

    mesh.Faces.AddFace(0, 1, 5, 4)
    mesh.Faces.AddFace(1, 2, 6, 5)
    mesh.Faces.AddFace(2, 3, 7, 6)
    mesh.Faces.AddFace(4, 5, 9, 8)
    mesh.Faces.AddFace(5, 6, 10, 9)
    mesh.Faces.AddFace(6, 7, 11, 10)

    mesh.Normals.ComputeNormals()
    mesh.Compact()

    if mesh.IsValid() Then
      doc.Objects.AddMesh(mesh)
    End If

    rc = True

  End If

  Return rc

End Function

– Dale